# Packmangroup: Other
# Packmanpackagename: KHeiseRegister
# Packman: Manfred Tremmel

%define _kde_prefix %(. /etc/opt/kde3/common_options; echo $prefix)

Name:           kheisereg
Summary:        A KDE-based utility to search within the Heise register
Summary(de):    Ein KDE basierendes Tool zum suchen in den Heise-Registerdateien
License:        GPL
Group:          Productivity/Multimedia/Other
URL:            http://www.gantz-edv.de/kheisereg/
Version:        0.8
Release:        2.19

Source0:        kheisereg-0.8.tar.bz2

Vendor:         Packman
BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
Autoreqprov:    On
BuildRequires:  gamin-devel
BuildRequires:  kdelibs3
BuildRequires:  kdelibs3-devel
BuildRequires:  kdebase3
BuildRequires:  kdebase3-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  glibc-devel
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files

%description
A KDE-based utility to search within the Heise register.
You can import c't and ix index files.

%description -l de
Ein KDE basierendes Tool zum suchen in den Heise-Registerdateien.
Sie können c't und ix Indexdateien importieren.



%prep
%setup

%build
. /etc/opt/kde3/common_options
%ifarch x86_64 amd64 ia32e
./configure $configkde --enable-libsuffix=64
%else
./configure $configkde
%endif

%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
%suse_update_desktop_file -r kheisereg KDE Office Viewer
sed -i -e "s/Terminal=0/Terminal=false/g" %{buildroot}%{_kde_prefix}/share/applications/kde/kheisereg.desktop

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_kde_prefix}/bin/kheisereg
%{_kde_prefix}/share/applications/kde/kheisereg.desktop
%{_kde_prefix}/share/apps/kheisereg
%doc %{_kde_prefix}/share/doc/HTML/de/kheisereg
%doc %{_kde_prefix}/share/doc/HTML/en/kheisereg
%{_kde_prefix}/share/icons/*/*/apps/kheisereg.png
%lang(de) %{_kde_prefix}/share/locale/de/LC_MESSAGES/kheisereg.mo

%changelog
* Fri Sep 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8-1.pm.1
- cleanups where rpmlint wasn't so happy
* Wed Dec 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some cleanups
* Mon Nov 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.8
* Sat Nov 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed Requires and BuildRequires entries
* Sun Apr 13 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Thu Dec 24 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.7
* Sat Nov 09 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.6
* Sat Oct 12 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.5
* Sat Aug 31 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4
* Fri Aug 23 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first build
